#!/urs/bin/env node

var Hashes = require('../hashes'),
    args = process.argv,
    usage, options;

// Exit the process with a message
function die (str) {
  console.log(str);
  process.exit();
}

// Usage dialog
usage = [
    'jsHashes 1.0.2'
  , ''
  , 'Usage:'
  , '  hashes [option] [string]'
  , ''
  , 'Options:'
  , '  md5      Calculates an hexadecimal MD5 hash from a given string'
  , '  sha1     Host name or IP to bind the server to (default: localhost)'
  , '  sha256   Port to bind the server to (default: 4000)'
  , '  sha512   Number of worker processes to start (default: 1)'
  , '  ripe     Sets the log level to output debug messages to'
  , '  b64e     Base64 encoding'
  , '  b64d     Base64 decoding'
  , '  crc      CRC32 calculation'
  , ''
  , 'Help:'
  , '  -h , elp help'
  , ''
  , 'Example:'
  , '  $ hashes md5 "sample text!"'
  , '  $ node hashes md5 "sample text!"'
  , ''
].join('\n');

options = [
    'md5',
    'sha1',
    'sha256',
    'sha512',
    'ripe',
    'b64e',
    'b64d',
    'crc'
];

if (args[0] === 'node') {
    args = args.slice(2);
}
args.forEach(function (val, index) {
  console.log(index + ' : ' + val);
});
if (args[0] === '-h' || args[0] === '--help' || args[0] === 'help') {
  die(usage);
}